curl --request POST \
--url https://sandbox.cashfree.com/verification/bank-account/bulk \
--header 'Content-Type: application/json' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"bulk_verification_id": "test001",
"entries": [
{
"name": "John Doe",
"bank_account": "11020001772",
"ifsc": "HDFC0000001",
"phone": "9999999999"
}
]
}
'import requests
url = "https://sandbox.cashfree.com/verification/bank-account/bulk"
payload = {
"bulk_verification_id": "test001",
"entries": [
{
"name": "John Doe",
"bank_account": "11020001772",
"ifsc": "HDFC0000001",
"phone": "9999999999"
}
]
}
headers = {
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
bulk_verification_id: 'test001',
entries: [
{
name: 'John Doe',
bank_account: '11020001772',
ifsc: 'HDFC0000001',
phone: '9999999999'
}
]
})
};
fetch('https://sandbox.cashfree.com/verification/bank-account/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bulk_reference_id": 123,
"bulk_verification_id": "bulk-test-123",
"status": "RECEIVED"
}Bulk Bank Account Verification V2
Use this API to verify bank account information in bulk. View the test data and use the information to trigger the validations. You can use the test data only in sandbox environment.
Authorizations
Client ID. You can find your ID in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
Send the signature if IP is not whitelisted.
Body
Find the request parameters to verify bank account information in bulk
It is the unique ID you create to identify the API request. The maximum character limit is 50. Alphanumeric, period (.), hyphen (-). and underscore ( _ ) are allowed.
"test001"
It is the array of bank account information, which needed to be verified
Show child attributes
Show child attributes
[
{
"name": "John Doe",
"bank_account": "11020001772",
"ifsc": "HDFC0000001",
"phone": "9999999999"
}
]
Response
Success response for Bulk Bank Account Verification V2
It displays the unique ID created by Cashfree Payments for reference purposes.
format: int64
23
It displays the unique ID you created to identify the Bulk Bank Account Verification API request.
"bulk-test-123"
It displays the status of the verification. Possible values are:
RECEIVED
"RECEIVED"
